#
# spec file for package sitecopy (Version 0.11.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  alsa alsa-devel expat gnome-devel-packages gtk gtk-devel libglade libglade-devel libxml libxml-devel openssl openssl-devel pkgconfig update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel audiofile autoconf automake binutils db1 db1-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf gdbm gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel gnome-common gnome-filesystem gnome-libs gnome-libs-devel gnome-vfs gnome-vfs-devel gtk gtk-devel imlib imlib-devel libglade libglade-devel libpng libpng-devel libtool libxml libxml-devel oaf oaf-devel openssl-devel orbit orbit-devel perl pkgconfig popt-devel rpm update-desktop-files

Name:         sitecopy
Summary:      Local to Remote Website Synchronizer
Version:      0.11.4
Release:      1017.5
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Source0:      http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
Patch0:       sitecopy-%{version}.dif
Patch1:       sitecopy-0.11.4.mkdir.diff
Patch2:       sitecopy-neon-0.23.7.diff
Patch3:       sitecopy-neon-CAN-2004-0398.patch
Patch4:       sitecopy-neon-CAN-2004-0179.diff
URL:          http://www.lyra.org/sitecopy
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Sitecopy is useful for copying locally stored web sites to remote web
servers. The program will upload files which have changed locally to
the server and delete files from the server which have been removed
locally to keep the remote site synchronized with the local site, all
with a single command.	The aim is to remove the hassle of uploading
and deleting individual files using an FTP client. FTP, WebDAV, and
HTTP-based authoring servers are supported.



Authors:
--------
    Joe Orton <joe@orton.demon.co.uk>

%package -n xsitecopy
Summary:      Sitecopy website synchronization utility. (GNOME version)
Obsoletes:    xsitecpy
Provides:     xsitecpy
Group:        Productivity/Networking/Web/Utilities

%description -n xsitecopy
XSitecopy is the GNOME version of sitecopy. Currently it does not
support "fetch mode" or "resynch", but it does have the advantage of
providing full configuration editing facilities.



Authors:
--------
    Joe Orton  <joe@orton.demon.co.uk>
    Lee Mallabone <lee0@callnetuk.com>

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1
cd libneon
%patch3 -p1
%patch4 -p1
cd ..

%build
./autogen.sh
# vanilla sitecopy.
rm -rf sitecopy
mkdir sitecopy
cd sitecopy
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ../configure \
	--prefix=/usr \
	--mandir=\${prefix}/share/man \
	--with-ssl
  make
cd ..
# xsitecopy.
rm -rf xsitecopy
mkdir xsitecopy
cd xsitecopy
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ../configure \
	--prefix=/opt/gnome \
	--enable-gnomefe \
	--with-ssl
  make
cd ..

%install
OMG=/tmp/blah
rm -rf $RPM_BUILD_ROOT
cd sitecopy
make DESTDIR=$RPM_BUILD_ROOT docdir=$OMG pkgdatadir=$OMG install
cd ..
cd xsitecopy
make DESTDIR=$RPM_BUILD_ROOT docdir=$OMG pkgdatadir=$OMG install
cd ..
rm -fr $RPM_BUILD_ROOT$OMG
%suse_update_desktop_file xsitecopy Network FileTransfer

%files -n sitecopy
%defattr(-, root, root)
/usr/bin/sitecopy
%doc COPYING
%doc README
%doc ChangeLog 
%doc FAQ
%doc doc/changes.awk
%doc doc/examplerc
%doc doc/update.sh
/usr/share/man/man1/*
/usr/share/locale/*/LC_MESSAGES/sitecopy.mo

%files -n xsitecopy
%defattr(-, root, root)
%doc COPYING
%doc README
%doc README.gnome
%doc gnome/ChangeLog.xsitecopy 
%doc FAQ
%doc doc/changes.awk
%doc doc/examplerc
%doc doc/update.sh
%dir /opt/gnome/share/xsitecopy
/opt/gnome/share/gnome/help/xsitecopy
/opt/gnome/share/pixmaps/xsitecopy
/opt/gnome/share/gnome/apps/Internet/*.desktop
/opt/gnome/share/locale/*/LC_MESSAGES/sitecopy.mo
/opt/gnome/bin/xsitecopy
/opt/gnome/share/xsitecopy/sitecopy-dialogs.glade

%changelog -n sitecopy
* Fri Jun 18 2004 - olh@suse.de
- add sitecopy-neon-CAN-2004-0179.diff (#41711)
* Fri Jun 18 2004 - olh@suse.de
- add sitecopy-neon-CAN-2004-0398.patch (#41711)
* Wed Jun 09 2004 - olh@suse.de
- add sitecopy-neon-0.23.7.diff (#41833)
* Thu Nov 06 2003 - schwab@suse.de
- Fix quoting in configure script.
* Sat Aug 16 2003 - adrian@suse.de
- fix last change
* Fri Aug 15 2003 - adrian@suse.de
- add Categories
* Thu Jul 03 2003 - ro@suse.de
- /opt/gnome/share/aclocal is gone
* Tue Jun 03 2003 - olh@suse.de
- workaround broken rpm4
* Mon Jan 20 2003 - olh@suse.de
- add sitecopy-0.11.4.mkdir.diff (#12545)
  simplify specfile
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Apr 09 2002 - ro@suse.de
- copy conditionals to main path of configure(.in)
- change some LIBOBJS usages to AC_LIBOBJ
* Fri Mar 15 2002 - olh@suse.de
- add /opt/gnome/share/xsitecopy to file list
* Tue Jan 22 2002 - olh@suse.de
- update to 0.11.4
* Tue Jan 22 2002 - olh@suse.de
- rename xsitecpy to xsitecopy, fix compile with gnome1
* Thu Jan 10 2002 - olh@suse.de
- update to 0.11.3
* Sun Jan 06 2002 - olh@suse.de
-update to 0.11.2
* Wed Jul 11 2001 - olh@suse.de
- enable openssl support
* Wed Jul 11 2001 - olh@suse.de
- gcc30 compile fixes
* Tue Mar 13 2001 - ro@suse.de
- added xf86 to neededforbuild
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.10.15
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Dec 12 2000 - olh@suse.de
- update to 0.10.9
* Wed Nov 22 2000 - olh@suse.de
- update to 0.10.7
* Tue Nov 07 2000 - kukuk@suse.de
- Add esound-devel to neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Sep 17 2000 - olh@suse.de
- update to 0.10.6, fix gnome header path
* Tue Sep 12 2000 - olh@suse.de
-  add libgladd to neededforbuild
* Sun Sep 10 2000 - olh@suse.de
- fix specfile
* Tue Sep 05 2000 - egger@suse.de
- Update to 0.10.4.
* Sun Mar 12 2000 - olh@suse.de
- update to 0.9.8
* Wed Mar 08 2000 - olh@suse.de
- update to 0.9.7
* Tue Mar 07 2000 - olh@suse.de
- update to 0.9.6, use locale
* Thu Mar 02 2000 - olh@suse.de
- update to 0.9.5
* Fri Feb 04 2000 - olh@suse.de
- update to 0.9.4
* Wed Jan 26 2000 - olh@suse.de
- update to 0.9.3
  /usr/man -> /usr/share/man
  check for compile errors on axp,i386,ppc
* Thu Dec 09 1999 - olh@suse.de
- added expat to # neededforbuild
* Tue Dec 07 1999 - olh@suse.de
- remove expat from package
* Mon Oct 25 1999 - olh@suse.de
- update to 0.8.4
* Sun Oct 24 1999 - olh@suse.de
- fixed dump specfile, add more docs
- check for build on i386, axp, ppc
- added libexpat, a XML parser in C
* Fri Oct 22 1999 - olh@suse.de
- fixed installdir for sitecopy
* Fri Oct 22 1999 - olh@suse.de
- update to 0.8.3
* Tue Sep 21 1999 - olh@suse.de
- add sitecopy package to SuSE distribution
